<?php

ControllerFactory::includeController('ParentOrderController');

class OrderController extends OrderControllerCore
{
	
	/* Payment step */
	protected function _assignPayment()
	{
		global $orderTotal;
                
                // -----------------------------------------------
                // Webbax - 04.03.13 - retrait des frais du panier
                global $cookie;
                $Cart = new Cart($cookie->id_cart);
                $products = $Cart->getProducts();
                foreach($products as $p){
                    if($p['id_product']==14){
                        $Cart->deleteProduct(14);
                        Tools::redirect($_SERVER['REQUEST_URI']);
                    }
                }
                // -----------------------------------------------

		// Redirect instead of displaying payment modules if any module are grefted on
		Hook::backBeforePayment('order.php?step=3');

		/* We may need to display an order summary */
		self::$smarty->assign(self::$cart->getSummaryDetails());
		self::$smarty->assign(array(
			'total_price' => (float)($orderTotal),
			'taxes_enabled' => (int)(Configuration::get('PS_TAX'))
		));
		self::$cookie->checkedTOS = '1';

		parent::_assignPayment();
	}
        
}

